image: node:lts-alpine

test:
  script:
    - npm ci
    - npm run lint
    - npm run test:unit

pages:
  image: node:lts-alpine
  script:
    - NODE_ENV=development npm ci
    - npm run docs:build
  artifacts:
    paths:
      - public
  only:
    - main
